#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           khealthcertificate
Version: 23.01.0
Release:        %mkrel 1
Summary:        Handling of digital vaccination, test and recovery certificates
Group:          Graphical desktop/KDE
License:        Apache2.0 and BSD and CC-BY-4.0 and CC0-1.0 and EUPL-1.2 and LGPL-2.0 and MIT and W3C-20120513
Url:            https://invent.kde.org/pim/khealthcertificate
Source:         https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5I18n)

%description
Handling of digital vaccination, test and recovery certificates.

%files
%license LICENSES/*
%{_kf5_categoriesdir}/org_kde_khealthcertificate.categories
%{_kf5_qmldir}/org/kde/khealthcertificate/

#--------------------------------------------------------------------

%define major   1
%define libname %mklibname khealthcertificate %{major}

%package -n %{libname}
Summary:        The KDE Health Certificate library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
The KDE Health Certificate component library.

%files -n %{libname}
%{_kf5_libdir}/libKHealthCertificate.so.%{major}{,.*}
%{_kf5_libdir}/libKHealthCertificate.so.23{,.*}

#--------------------------------------------------------------------

%define develname %mklibname khealthcertificate -d

%package -n %{develname}
Summary:        Development files for khealthcertificate
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to
build applications based on %name.

%files -n %{develname}
%{_includedir}/*
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KHealthCertificate/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Sat May 27 2023 daviddavid <daviddavid> 23.01.0-1.mga9
+ Revision: 1959210
- initial package khealthcertificate

